#!sh

opt_baseruby="--with-baseruby=/Ruby186/bin/ruby.exe"
opt_extra="--disable-install-doc"


export SHELL=sh
export CONFIG_SHELL=$SHELL

RUBYDIR=/Ruby191
topdir=`pwd`
TMPDIR=/tmp

# specify default kanji code
KCODE=none
#KCODE=sjis

CC="gcc"
CXX="g++"
CFLAGS="-s -Wall -O2 -Zmt -mcpu=pentium2 -march=pentium"
CXXFLAGS="$CFLAGS"
CPPFLAGS=""
LDFLAGS="-Zstack 0x2000 -Zno-high-mem"
OBJEXT=o
LIBEXT=a
AR=ar
AS=as
RM="rm -f"
LD=
LN_S="cp -p"
INSTALL=install
LDSTATIC="$CC -s"
LDSHARED=echo


# -Zomf (build with OMF)
#CFLAGS="-Zomf $CFLAGS"
#LDSTATIC="$LDSTATIC -Zomf"
#LDSHARED="$LDSHARED -Zomf"

# enc (kLIBC's nl_langinfo does not work correctly under DBCS environment...)
export ac_cv_header_langinfo_h=no

# sys/resource.h
#export ac_cv_header_sys_resource_h=no

# rlim_t, getrlimit, setrlimit
export ac_cv_type_rlim_t=no
export ac_cv_sizeof_rlim_t=0
export ac_cv_func_getrlimit=no
export ac_cv_func_setrlimit=no

# fork
export ac_cv_func_fork=no

# dlopen
#export ac_cv_func_dlopen=no
#export ac_cv_lib_dl_dlopen=no



# use pthread
PTHREAD_BASE=/usr/local
opt_pthread="--enable-pthread"
CPPFLAGS="$CPPFLAGS -I$PTHREAD_BASE/include"
LDFLAGS="-L$PTHREAD_BASE/lib $LDFLAGS"
#LIBS="-lpthread"

export CC
export CFLAGS
export CXX
export CXXFLAGS
export CPPFLAGS
export LDFLAGS
export LIBS
export OBJEXT
export LIBEXT
export INSTALL
export AR
export AS
export LD
export LDSTATIC
export LDSHARED
export RM
export LN_S


opt_shared="--disable-shared --with-static-linked-ext=yes"
#opt_shared="--disable-shared"
#opt_shared="--enable-shared"

./configure \
	--prefix=$RUBYDIR \
	$opt_baseruby \
	$opt_shared \
	$opt_pthread \
	$opt_extra
